package com.pcloud.common.core.enums;

/**
 * @Description：终止动作
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public enum PromotionTerminateEnum {

    TARGET_CLASS_APP("APP"),     //APP
    TARGET_CLASS_PRODUCT("PRODUCT"),     //PRODUCT

    TERMINATE_ACTION_SOLD_OUT("SOLD_OUT"),    //下架
    TERMINATE_ACTION_DELETE("DELETE"),      //删除
    TERMINATE_ACTION_MODIFY("MODIFY"),      //修改
    TERMINATE_ACTION_EXPIRE("EXPIRE"),      //到期
    TERMINATE_ACTION_STOCK("STOCK");        //库存

    private String code;

    private PromotionTerminateEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

}
